Main Page | Namespace List | Class Hierarchy | Alphabetical List | Class List | Directories | File List | Namespace Members | Class Members | File Members | Related Pages

# PortableServer::ForwardRequest Exception Reference

`#include <ForwardRequestC.h>`

Inheritance diagram for PortableServer::ForwardRequest:

[legend]
Collaboration diagram for PortableServer::ForwardRequest:

[legend]
List of all members.

## Public Member Functions
| ForwardRequest (void)
| ForwardRequest (const ForwardRequest &)
| ~ForwardRequest (void)
ForwardRequest & | operator= (const ForwardRequest &)
virtual CORBA::Exception * | _tao_duplicate (void) const
virtual void | _raise (void) const
virtual void | _tao_encode (TAO_OutputCDR &) const
virtual void | _tao_decode (TAO_InputCDR &)
| ForwardRequest (const CORBA::Object_ptr _tao_forward_reference)
virtual CORBA::TypeCode_ptr | _tao_type (void) const
## Static Public Member Functions
void | _tao_any_destructor (void *)
ForwardRequest * | _downcast (CORBA::Exception *)
const ForwardRequest * | _downcast (CORBA::Exception const *)
CORBA::Exception * | _alloc (void)
## Public Attributes
Object | forward_reference
CORBA::Object_var | forward_reference

## Constructor & Destructor Documentation

PortableServer::ForwardRequest::ForwardRequest | ( | void |  | ) |

PortableServer::ForwardRequest::ForwardRequest | ( | const ForwardRequest & |  | ) |

PortableServer::ForwardRequest::~ForwardRequest | ( | void |  | ) |

PortableServer::ForwardRequest::ForwardRequest | ( | const CORBA::Object_ptr | _tao_forward_reference | ) |

## Member Function Documentation

CORBA::Exception * PortableServer::ForwardRequest::_alloc | ( | void |  | ) | `[static]`

const PortableServer::ForwardRequest * PortableServer::ForwardRequest::_downcast | ( | CORBA::Exception const * |  | ) | `[static]`

| Reimplemented from CORBA::UserException.

PortableServer::ForwardRequest * PortableServer::ForwardRequest::_downcast | ( | CORBA::Exception * |  | ) | `[static]`

| Reimplemented from CORBA::UserException.

void PortableServer::ForwardRequest::_raise | ( | void |  | ) | const`[virtual]`

| Implements CORBA::UserException.

void PortableServer::ForwardRequest::_tao_any_destructor | ( | void * |  | ) | `[static]`

| Reimplemented from CORBA::Exception.

void PortableServer::ForwardRequest::_tao_decode | ( | TAO_InputCDR & |  | ) | `[virtual]`

| Implements CORBA::Exception.

CORBA::Exception * PortableServer::ForwardRequest::_tao_duplicate | ( | void |  | ) | const`[virtual]`

| Implements CORBA::Exception.

void PortableServer::ForwardRequest::_tao_encode | ( | TAO_OutputCDR & |  | ) | const`[virtual]`

| Implements CORBA::Exception.

TAO_BEGIN_VERSIONED_NAMESPACE_DECL CORBA::TypeCode_ptr PortableServer::ForwardRequest::_tao_type | ( | void |  | ) | const`[virtual]`

| Reimplemented from CORBA::UserException.

ForwardRequest& PortableServer::ForwardRequest::operator= | ( | const ForwardRequest & |  | ) |

## Member Data Documentation

CORBA::Object_var PortableServer::ForwardRequest::forward_reference

Object PortableServer::ForwardRequest::forward_reference

The documentation for this exception was generated from the following files:

- ForwardRequest.pidl
- ForwardRequestC.h
- ForwardRequestA.cpp
- ForwardRequestC.cpp